# This code is part of Qiskit.
#
# (C) Copyright IBM 2023.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.


"""
Fake :class:`.BackendV1` backends for testing purposes
"""

from .fake_5q import Fake5QV1
from .fake_20q import Fake20QV1
from .fake_7q_pulse import Fake7QPulseV1
from .fake_27q_pulse import Fake27QPulseV1
from .fake_127q_pulse import Fake127QPulseV1
